%define Product CMF
%define product cmf
%define name    zope-%{Product}
%define version 2.1.0
%define release %mkrel 6

%define zope_minver     2.7.3
%define zope_home       %{_prefix}/lib/zope
%define software_home   %{zope_home}/lib/python

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Zope Content Management Framework
License:    ZPL
Group:      System/Servers
URL:        http://www.zope.org/Products/%{Product}
Source:     http://zope.org/Products/%{Product}/%{Product}-%{version}/%{Product}-%{version}.tar.gz
Requires:   zope >= %{zope_minver}
Provides:   zope-CMFActionIcons = %{version}-%{release}
Provides:   zope-CMFCalendar = %{version}-%{release}
Provides:   zope-CMFCore = %{version}-%{release}
Provides:   zope-CMFDefault = %{version}-%{release}
Provides:   zope-CMFTopic = %{version}-%{release}
Provides:   zope-CMFUid = %{version}-%{release}
Provides:   zope-DCWorkflow = %{version}-%{release}
Provides:   zope-GenericSetup = %{version}-%{release}
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
The Zope Content Management Framework provides a set of services and content
objects useful for building highly dynamic, content-oriented portal sites. As
packaged, the CMF generates a site much like the Zope.org site. The CMF is
intended to be easily customizable, in terms of both the types of content used
and the policies and services it provides.

%prep
%setup -q -n %{Product}-%{version}

%build
# Not much, eh? :-)

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a CMF* %{buildroot}%{software_home}/Products/
%{__cp} -a DCWorkflow %{buildroot}%{software_home}/Products/
%{__cp} -a GenericSetup %{buildroot}%{software_home}/Products/

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%files
%defattr(-,root,root)
%doc docs *.txt
%{software_home}/Products/*


%changelog
* Mon Aug 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.0-6mdv2009.0
+ Revision: 263084
- rebuild
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.1.0-3mdv2008.1
+ Revision: 136633
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.0-3mdv2008.0
+ Revision: 88761
- provides all included products

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.0-2mdv2008.0
+ Revision: 88748
- add forgotten GenericSetup product

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.0-1mdv2008.0
+ Revision: 88509
- new version


* Thu Aug 31 2006 Gatan Lehmann (INRA) <glehmann@mandriva.org> 
+ 2006-08-31 13:07:11 (58999)
1.6.2

* Tue Aug 08 2006 Gatan Lehmann (INRA) <glehmann@mandriva.org> 
+ 2006-08-08 12:49:48 (54431)
update to 1.6.1

* Tue Aug 08 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-08 09:53:38 (54379)
- Fix  rpmlint warnings

* Sun Jul 30 2006 Gatan Lehmann (INRA) <glehmann@mandriva.org> 
+ 2006-07-30 10:34:15 (42736)
Import zope-CMF

* Sat Mar 04 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.5.6-1mdk
- 1.5.6

* Sat Oct 22 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.5.4-1mdk
- New release 1.5.4

* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.4.8-3mdk
- fix path on x86_64

* Sun May 15 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.4.8-2mdk
- provides/obsoletes CMF

* Sun Apr 24 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.4.8-1mdk
- New release 1.4.8
- use mkrel

* Thu Jan 27 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.4.7-1mdk
- initial contrib

